%define name banshee-community-extensions
%define version 1.8.0
%define release %mkrel 1

Summary: Contributed extensions for the Banshee media player
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://download.banshee.fm/%name/%version/%{name}-%{version}.tar.bz2
#Source0: %name-%git.tar.xz
#gw mirage is GPL, all others MIT
License: MIT and GPLv2+
Group: Sound
Url: http://banshee-project.org/download/extensions/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: banshee-devel >= 1.7.6
BuildRequires: mono-devel
BuildRequires: lirc-devel
BuildRequires: gnome-sharp2-devel
%if %mdvver >= 201100
BuildRequires: notify-sharp-devel
%else
BuildRequires: notify-sharp
%endif
BuildRequires: webkit-sharp-devel
#gw not packaged:
#BuildRequires: clutter-sharp
#BuildRequires: ubuntuone-sharp
BuildRequires: libfftw-devel
BuildRequires: sqlite3-devel
BuildRequires: libgstreamer-plugins-base-devel
BuildRequires: libsamplerate-devel
BuildRequires: intltool
BuildRequires: gnome-doc-utils
BuildRequires: locales-en
#gw for the git snapshot:
BuildRequires: libGConf2-devel
Provides: banshee-mirage
Obsoletes: banshee-mirage
Suggests: gstreamer0.10-plugins-ugly
Suggests: gstreamer0.10-flac
Suggests: gstreamer0.10-plugins-good

%description
The following extensions are developed mostly by third-parties, and
are not vetted by the core Banshee developers (though that will
probably change over time).

 * Alarm Clock – You can use Banshee to wake up or go to sleep to a
   selection of your own music.
 * Awn – Sets the current album cover as banshee icon in awn.
 * Cover Wallpaper – Sets the current playing album cover as the GNOME
   desktop wallpaper.
 * LCD – Display track info on a LCD using LCDproc.
 * Lirc – Control Banshee via a normal (infrared) remote
      control. Requires LIRC.
 * Live Radio – Another way to discover internet radio stations.
 * Lyrics – Fetches and displays lyrics for the current song.
 * Magnatune – Listen to streamed music from Magnatune.com.
 * Mirage – Adds playback shuffle-by-similar and Auto DJ fill-by-similar
   modes, based on songs' acoustic similarity.
 * Radio Station Fetcher – Fetch radio stations from shoutcast.com and
   xiph.org.  Stream Recorder – Record internet-radio streams.
 * Telepathy – Browse your IM friends' music library, download or
   stream their tracks and share what you're listening to.

%prep
%setup -q

%build
#gw to make mcs accept Unicode symbols
export LC_ALL=en_US.UTF-8
%configure2_5x --with-vendor-build-id="Mandriva Linux %mandriva_release"
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %name
rm -f %buildroot%_libdir/banshee-1/Extensions/lib*a

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%doc README
%_libdir/banshee-1/Extensions/Banshee.AlarmClock.dll*
%_libdir/banshee-1/Extensions/Banshee.Awn.dll*
%_libdir/banshee-1/Extensions/Banshee.CoverWallpaper.dll*
%_libdir/banshee-1/Extensions/Banshee.LCD.dll*
%_libdir/banshee-1/Extensions/Banshee.Lirc.dll*
%_libdir/banshee-1/Extensions/Banshee.LiveRadio.dll*
%_libdir/banshee-1/Extensions/Banshee.Lyrics.dll*
%_libdir/banshee-1/Extensions/Banshee.Magnatune.dll*
%_libdir/banshee-1/Extensions/Banshee.Mirage.dll*
%_libdir/banshee-1/Extensions/Banshee.RadioStationFetcher.dll*
%_libdir/banshee-1/Extensions/Banshee.Streamrecorder.dll*
%_libdir/banshee-1/Extensions/Banshee.Telepathy.dll*
%_libdir/banshee-1/Extensions/Mirage.dll*
%_libdir/banshee-1/Extensions/liblircglue.so
%_libdir/banshee-1/Extensions/libmirageaudio.so
%_datadir/gnome/help/banshee/C/AlarmClock*


%changelog
* Fri Oct 01 2010 Götz Waschk <waschk@mandriva.org> 1.8.0-1mdv2011.0
+ Revision: 582277
- update to new version 1.8.0

* Thu Sep 30 2010 Götz Waschk <waschk@mandriva.org> 1.7.6-2mdv2011.0
+ Revision: 582153
- rebuild

* Sun Sep 19 2010 Götz Waschk <waschk@mandriva.org> 1.7.6-1mdv2011.0
+ Revision: 579834
- new version
- bump banshee dep

* Mon Aug 30 2010 Götz Waschk <waschk@mandriva.org> 1.7.4-1mdv2011.0
+ Revision: 574351
- new version 1.7.4

* Tue Aug 17 2010 Götz Waschk <waschk@mandriva.org> 1.7.4-0.20100816.1mdv2011.0
+ Revision: 571080
- update build deps
- new git snapshot
- update file list

* Sun Aug 08 2010 Götz Waschk <waschk@mandriva.org> 1.6.1-2mdv2011.0
+ Revision: 567597
- update build deps

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 1.6.1-1mdv2011.0
+ Revision: 550293
- update to new version 1.6.1

* Thu Apr 01 2010 Götz Waschk <waschk@mandriva.org> 1.6.0-1mdv2010.1
+ Revision: 530601
- update to new version 1.6.0

* Sun Mar 21 2010 Götz Waschk <waschk@mandriva.org> 1.5.5-2mdv2010.1
+ Revision: 526069
- rebuild for new taglib-sharp

* Fri Mar 12 2010 Götz Waschk <waschk@mandriva.org> 1.5.5-1mdv2010.1
+ Revision: 518351
- import banshee-community-extensions


